Skip to content

Replace Child Tenant.

PUT
/api/web/namespaces/{metadata.namespace}/child_tenants/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/child_tenants/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "company_name": "example", "contact_detail": { "address1": "example", "address2": "example", "city": "example", "contact_type": "MAILING", "country": "example", "county": "example", "phone_number": "example", "state": "example", "state_code": "example", "zip_code": "example" }, "customer_info": { "additional_info": "example", "email": "hello@example.com", "first_name": "example", "last_name": "example" } } }'

Replaces attributes of a child_tenant configuration.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a child_tenant

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
company_name

Company name (enterprise only)

string
<= 256 characters
contact_detail
object
address1
address1

Network address or location

string
<= 1024 characters
address2
address2

Network address or location

string
<= 1024 characters
city
city

Configuration parameter for city

string
<= 1024 characters
contact_type
string
default: MAILING
Allowed values: MAILING BILLING PAYMENT
country
country

Configuration parameter for country

string
<= 1024 characters
county
county

Configuration parameter for county

string
<= 1024 characters
phone_number
phone_number

Configuration parameter for phone number

string
<= 1024 characters
state
state

Current state of the resource

string
<= 1024 characters
state_code
state code

Configuration parameter for state code

string
<= 1024 characters
zip_code
zip_code

IP address configuration

string
<= 1024 characters
customer_info
object
additional_info
additional_info

Use this field for any additional information about the new child tenant.

string
<= 1024 characters
email
email

Email address in RFC 5322 format

string format: email
<= 1024 characters /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/
first_name
first_name

Human-readable name for the resource

string
<= 128 characters
last_name
last_name

Human-readable name for the resource

string
<= 128 characters

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example